package core;
import core.configuration.ConfigurationMap;
import core.server.Server;
import core.utils.io.ConfigurationReader;

import java.io.IOException;

public class Application
{
    private final Server server;

    public Application() throws IOException
    {
        ConfigurationMap configuration = ConfigurationReader.get();
        int port = configuration.getPort();

        this.server = new Server(port);
    }

    public void start()
    {
        this.server.start();
    }
}
